
Redmine - Patch #12659

Broken dirty_tracking inside a after_save callback for the Issue model due to reload in Mailer

2012-12-20 16:44 - Vladimir Kiselev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

.reload not just gives us current record from database, but also resets *_changed? .changes and etc. in all later methods from

callback chain for the reloaded item as a side-effect.

Since there are many plugins which rely on callbacks and sometimes dirty-tracking, this is a problem.

For now, there is a workaround - we can save .changed data in before_save callback. But i think it is better to just isolate the issue

record in mailer.

History

#1 - 2012-12-20 16:49 - Vladimir Kiselev

based on 2.2.0

#2 - 2019-02-10 02:16 - Go MAEDA

- Status changed from New to Closed

The code of email notification was drastically rewritten for #26791 and the code to patch was removed in r17583.
